Bug 91490 - Calc - Export as PDF during Page Preview ignores "Selection/selected sheets" (Unix-only)
Summary: Calc - Export as PDF during Page Preview ignores "Selection/selected sheets" ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2015-05-22 18:11 UTC by Manfred
Modified: 2019-09-27 03:04 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Export-Dialog (93.91 KB, image/png)
2015-05-29 11:38 UTC, Manfred
Details
Printstyle (72.96 KB, image/png)
2015-05-29 11:56 UTC, Manfred
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Manfred 2015-05-22 18:11:35 UTC
the same in id 32826? - not checked, but sounds equal…

Dialog in "Export-as-PDF" switched to "Selection":
Bug:
All sheets will be exported!
In "normal View" it will be exported with "Export as PDF - Selection" as expected - 1 Page.

btw: 
The German Text (and others?) for "Selection" should be:
"Selection, as you ev. adjusted (like you can see in print-preview)"
German: "Auswahl, wie ev. in der Seiten-Umbruchvorschau festgelegt. (s. dort)"

Manfred
Comment 1 Cor Nouws 2015-05-22 21:26:20 UTC
Hi Manfred,

I think tdf#90436 is closer then 32826.

Cheers
Cor
Comment 2 Timur 2015-05-25 11:31:53 UTC
I cannot reproduce or Mac OS specific.
Comment 3 Buovjaga 2015-05-25 13:02:10 UTC
Not reproduced.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b9630867d17c01ec41f6461b1e96288f3932248c
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-25_00:45:41
Locale: fi-FI (fi_FI)
Comment 4 Alex Thurgood 2015-05-29 08:49:36 UTC
@Manfred: just so we are clear on the steps :

- I am assuming a multipage Calc document ?

- are multiple pages being selected from within the Print Preview ?

- what kind of selection - continuous page selection or discontinuous page selection

Please provide these details, otherwise I'll waste time trying to figure out the various possibilities

Setting to NEEDINFO pending requested information.
Comment 5 Alex Thurgood 2015-05-29 09:04:56 UTC
Sorry, I don't get it. Can someone provide detailed steps as to what exactly I should be doing ?

When I open a multi-sheet Calc document, e.g. the one Cor pointed to in bug 90436, and then File > Preview, it displays the currently selected sheet. I can't even see any other sheets in the Preview. I assume that this is normal behaviour ?

So, if I then move to File > Export to PDF :

(a) leave defaults : all pages get converted to PDF;
(b) click on Selection : all pages get converted to PDF (is this what the bug report is about ?)
(c) choose Page, and enter a page number, e.g. 2 : only page 2 gets exported to PDF.


If the buggy behaviour is that described in (b), then I can confirm.
Comment 6 Alex Thurgood 2015-05-29 09:12:59 UTC
Seems like the fix that Kohei produced for bug 32826 doesn't apply to PDF export, so the problem could be similar to that of bug 32826 in that the marked tab is not passed from (or not available to) ScPreviewShell to the PDF export handling code ?
Comment 7 Alex Thurgood 2015-05-29 09:13:35 UTC
I am confirming for OSX 10.10.3

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale : fr_
Comment 8 Manfred 2015-05-29 11:38:22 UTC
Created attachment 116132 [details]
Export-Dialog
Comment 9 Manfred 2015-05-29 11:39:54 UTC
My OS is Mac OSX Yosemite (10.10.3)

I think, I put the command "export as pdf" to the toolbar.

It needs a very tall file to produce this bug.
A second file in a 3-table spreadsheet (every sheet has only 2 or 3 pages) was exported correct.

The big one has 13 sheets with more than 20 pages per sheet.
If I want to export as pdf within the normal view, the exported pdf is one page, as I wanna have.

If I switch to printpreview (Shift + cmd + O), click on the Symbol in the print-preview-window toolbar (the same happens, if I take the menu-command) the dialog appears: "Export as pdf", I select "Selection" and the pdf export needs 1 Minute and the pdf-file has 653 pages…

Maybe because the Printarea is much bigger than one Page and is configured "as only one page" and landscape mode?
But it works in normal view...
Comment 10 Manfred 2015-05-29 11:55:36 UTC
(In reply to Alex Thurgood from comment #4)
> @Manfred: just so we are clear on the steps :
> 
> - I am assuming a multipage Calc document ?  
Yes

> 
> - are multiple pages being selected from within the Print Preview ?
No

> 
> - what kind of selection - continuous page selection or discontinuous page
> selection
see attachment printstyle

> 
> Please provide these details, otherwise I'll waste time trying to figure out
> the various possibilities
> 
> Setting to NEEDINFO pending requested information.
Comment 11 Manfred 2015-05-29 11:56:56 UTC
Created attachment 116133 [details]
Printstyle
Comment 12 Manfred 2015-12-02 16:43:13 UTC
The same behavior in 5.0.3.2 --- as every year James…

??????  
Is anybody supporting bugs, discovered in Versions for Mac OSX above 10.6 ??????? 

(LO 4.3 and so on)…

Does anybody in the Quantity of developers has such a machine?
I think not… !
There are bugs, you, yes you! will act if you recognize them.
Bugs like I reported.

This app is nearly unusual for me if there is no support and the main bugs I reported are out there a few month later, like no one is interested to help with better code.

See my other reported bugs.
All that happened is something like:
This is duplicate from that, this is not duplicate from that, this is …

shit

big shit!
Comment 13 Buovjaga 2015-12-02 16:55:53 UTC
Manfred: you are free to recruit developers.
See the amount of reports (including enhancements): https://bugs.documentfoundation.org/reports.cgi?product=LibreOffice&datasets=NEW

You can also help speed up bug fixing by doing QA: https://wiki.documentfoundation.org/QA/Triage_For_Beginners
Comment 14 Cor Nouws 2015-12-02 20:37:31 UTC
(In reply to Manfred from comment #9)
> My OS is Mac OSX Yosemite (10.10.3)
> 
> I think, I put the command "export as pdf" to the toolbar.
> 
> It needs a very tall file to produce this bug.
> A second file in a 3-table spreadsheet (every sheet has only 2 or 3 pages)
> was exported correct.
> 
> The big one has 13 sheets with more than 20 pages per sheet.
> If I want to export as pdf within the normal view, the exported pdf is one
> page, as I wanna have.

What size has the file?

> If I switch to printpreview (Shift + cmd + O), click on the Symbol in the
> print-preview-window toolbar (the same happens, if I take the menu-command)
> the dialog appears: "Export as pdf", I select "Selection" and the pdf export
> needs 1 Minute and the pdf-file has 653 pages…
> 
> Maybe because the Printarea is much bigger than one Page and is configured
> "as only one page" and landscape mode?
> But it works in normal view...

Sounds as if you hit the limitations of memory and CPU here.
In any case it is - as you write - a problem with only huge spreadsheets?
Comment 15 QA Administrators 2018-07-28 02:43:08 UTC Comment hidden (obsolete)
Comment 16 Yves57 2018-09-26 10:15:42 UTC
Hello,
I can confirm the misbehaviour reported by Alex in comment #5
When exporting with indication of page 1, the exported page is not from the current sheet, but from the first sheet of the document.
To have the first page of the current sheet, I have to estimate the number of page from the previous sheets.
Furthermore, the page number and the total page, when displayed in the footer page, is calculated according to the whole sheets of the whole document. This is not the case when the sheet is printed in a file with the option "Selected sheets".

Version: 5.3.7.2.0+
Build ID: 5.3.7.2-3.mga
Comment 17 Buovjaga 2018-09-26 10:32:08 UTC
Repro, but not in 3.6.7. I will try bibisecting later.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 88e26267844ac96f39d341ef05bd1536f210af74
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: fi-FI (fi_FI.UTF-8); Calc: threaded
Built on 25 September 2018

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 18 Buovjaga 2018-09-26 15:54:54 UTC
False alert. I don't know why I got the result. Seen already in 3.3.0
Comment 19 QA Administrators 2019-09-27 03:04:42 UTC
Dear Manfred,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug